import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { h } from 'vue';
import { Tag } from 'ant-design-vue';
//列表显示
export const columns: BasicColumn[] = [
  {
    title: '条码',
    dataIndex: 'SN',
    width: 180,
  },
  {
    title: '父包装条码',
    dataIndex: 'PARENT_SN',
  },
  {
    title: '物料编码',
    dataIndex: 'ITEM_CODE',
  },
  {
    title: '数量',
    dataIndex: 'QTY',
  },
  {
    title: '单据号码',
    dataIndex: 'TRANS_NO',
  },
  {
    title: '单据行号',
    dataIndex: 'TRANS_LINE',
  },
  {
    title: '仓库代码',
    dataIndex: 'WH_CODE',
  },
  {
    title: '储区/代码',
    dataIndex: 'REGION_CODE',
  },
  {
    title: '货架/料车编码',
    dataIndex: 'SHELF_CODE',
  },
  {
    title: '储位代码',
    dataIndex: 'LOCATION_CODE',
  },
  {
    title: 'ERP库位代码',
    dataIndex: 'ERP_WH',
  },
];
//模糊查询
export const searchFormSchema: FormSchema[] = [
  {
    field: 'SN',
    label: '条码',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'PARENT_SN',
    label: '父包装条码',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'ITEM_CODE',
    label: '物料编码',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'TRANS_NO',
    label: '单据号码',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'WH_CODE',
    label: '仓库代码',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'REGION_CODE',
    label: '储区/代码',
    component: 'Input',
    // defaultValue:'01',
    colProps: { span: 8 },
  },
];

